"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactIntl = require("react-intl");

var _Upload = _interopRequireDefault(require("./Upload"));

var _DialogComponent = _interopRequireDefault(require("./DialogComponent"));

var _axios = _interopRequireDefault(require("./axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FileUpload = /*#__PURE__*/function (_React$Component) {
  _inherits(FileUpload, _React$Component);

  var _super = _createSuper(FileUpload);

  function FileUpload(props) {
    var _this;

    _classCallCheck(this, FileUpload);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "fileInfoArray", null);

    _defineProperty(_assertThisInitialized(_this), "addProperty", function (fieldName, fieldValue) {
      return {
        fieldName: fieldName,
        fieldValue: fieldValue.toString()
      };
    });

    _defineProperty(_assertThisInitialized(_this), "properties", []);

    _this.state = {
      documentTypes: []
    };

    if (!props.fieldName || !props.fieldValue || !props.fileInfo) {
      throw new Error(_this.strings["ERROR_PROPS_NOT_EXIST"]);
    }

    _this.fileInfoArray = props.fileInfo;
    _this.fieldName = props.fieldName;
    _this.fieldValue = props.fieldValue;
    _this.fileInfo = typeof props.fileInfo === "undefined" ? {
      fieldName: _fieldName,
      fieldValue: _fieldName
    } : props.fileInfo;
    _this.locale = props.locale ? props.locale : "tr";
    _this.unwritable = false;

    if (typeof props.unwritable !== "undefined") {
      _this.unwritable = props.unwritable;
    } // this.docGoruntelemeYetkili = !!YetkiKontrol("dosya#görüntüleme");


    _this.docGoruntelemeYetkili = true;
    _this.dialogProps = {
      fullWidth: props.fullWidth !== false,
      maxWidth: props.maxWidth ? props.maxWidth : "md",
      height: "450px",
      padding: "0 0",
      buttonVariant: props.buttonVariant ? props.buttonVariant : "contained",
      buttonColor: props.buttonColor ? props.buttonColor : "primary",
      btnUniqueName: props.btnUniqueName ? props.btnUniqueName : props.fieldName,
      buttonText: props.buttonText ? props.buttonText : "Dosya Yükle",
      closeButtonText: props.closeButtonText ? props.closeButtonText : "İptal",
      dialogTitle: props.dialogTitle ? props.dialogTitle : "",
      locale: _this.locale
    };
    return _this;
  }

  _createClass(FileUpload, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      _axios["default"].get(process.env.REACT_APP_FILE_SERVICE_HOST + "/api/v1/filehandler/GetDocTypes").then(function (res) {
        _this2.setState({
          documentTypes: res.data
        });
      })["catch"](function (err) {});
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      this.fileInfoArray.forEach(function (f) {
        return _this3.properties.push(_this3.addProperty(f["fieldName"], f["fieldValue"]));
      });
      return this.docGoruntelemeYetkili ? /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_DialogComponent["default"], {
        dialogProps: this.dialogProps
      }, /*#__PURE__*/_react["default"].createElement(_Upload["default"], {
        fieldName: this.fieldName,
        fieldValue: this.fieldValue,
        fileInfo: this.properties,
        documentTypes: this.state.documentTypes,
        locale: this.locale,
        unwritable: this.unwritable
      }))) : /*#__PURE__*/_react["default"].createElement(_react.Fragment, null);
    }
  }]);

  return FileUpload;
}(_react["default"].Component);

var _default = (0, _reactIntl.injectIntl)(FileUpload);

exports["default"] = _default;