"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _axios = _interopRequireDefault(require("axios"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var defaultOptions = {
  baseURL: process.env.REACT_APP_FILE_SERVICE_HOST,
  headers: {
    "Content-Type": "application/octet-stream"
  }
};

var instance = _axios["default"].create(defaultOptions);

instance.interceptors.request.use(function (config) {
  config.headers["Authorization"] = "Bearer " + localStorage.getItem("access_token");
  return config;
}, function (error) {
  return Promise.reject(error);
});
instance.interceptors.response.use(function (response) {
  return response;
}, function (error) {
  if (error.response.status == 401) {
    if (window.customHistory) {
      window.customHistory.push("/logout");
    }
  } else if (error.response.status == 403) {
    if (window.customHistory) {
      window.customHistory.push("/yetkisiz-islem");
    }
  }

  return Promise.reject(error);
});
var _default = instance;
exports["default"] = _default;